---
search:
  tags:
    - Channels
    - GET
seo:
  description: >-
    Retrieves a channel by its ID, including all… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/channels/{channel_id} endpoint in the
    Management API.
sidebar:
  label: Get a channel
  badge: GET
title: Get a channel
type: openapi-operation
---
Retrieves a channel by its ID, including all associated tag rules.

`GET /api/v1/{team_slug}/{app_slug}/channels/{channel_id}`

**Responses**

- `200` — Channel retrieved successfully
- `404` — Channel not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "active": true,
    "created_at": "string",
    "description": "string",
    "effective_publishing_rule": {
      "created_at": "string",
      "id": "string",
      "is_default": true,
      "minimum_images": 0,
      "name": "string",
      "should_have_brand": true,
      "should_have_category": true,
      "should_have_description": true,
      "should_have_main_category": true,
      "should_have_price": true,
      "should_have_product_name": true,
      "updated_at": "string"
    },
    "id": "string",
    "market_ids": [
      "string"
    ],
    "name": "string",
    "publishing_rule_id": "string",
    "slug": "string",
    "store_group_id": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
